POV-Ray : Newsgroups : povray.binaries.programming : Updated yuqk tarballs for Unix/Linux. 16941651 : Re: Updated yuqk tarballs for Unix/Linux. 16941651 (HS ?) Server Time
14 Apr 2024 14:21:19 EDT (-0400)
  Re: Updated yuqk tarballs for Unix/Linux. 16941651 (HS ?)  
From: kurtz le pirate
Date: 20 Mar 2024 12:51:34
Message: <65fb1416$1@news.povray.org>
On 20/03/2024 09:53, jr wrote:
> 
> strange that the linker does not "see" the X11 libraries.  the linker works off
> a set of cached directories, if you still have the same problem, have a look at
> '/etc/ld.so.conf' and the files in '/etc/ld.so.conf.d/', are your library paths
> listed ?  (if yes, the cache may need refreshing ( run 'ldconfig')).


everything looks good for '/etc/ld.so.conf' and the files in
'/etc/ld.so.conf.d/'. Library paths are present.


> also, wondering what (exact) arguments were given to './configure'.

in accordance with 'INSTALL.txt' doc :

./configure -q COMPILED_BY="name" CXXFLAGS="-O2" --prefix=/tmp/yuqk_427af17e


no strange argument.

finally, rebuilding the cache with ldconfig solved the problem.
(I should have used -v to track what was going on).


so :
running ldconfig, then ./configure, then make, then after a long long
list of messages : no error :)

last messages on terminal :




cat ./povray.ini.in | sed
"s,__POVLIBDIR__,/tmp/yuqk_427af17e/share/povray-3.8,g" > ./povray.ini







As everything is ok, i run make check
I can see the rendering of an image which also closes when finished.
I don't know where it's saved (or not).

Then run make install.
No error :)



I think all these problems come from the fact that I made a
'./configure' and 'make' with the missing X11 library. Necessary links
and cache to the right shared libraries have become corrupted.



**THANKS** for all Jr.



-- 
Kurtz le pirate
Compagnie de la Banquise


Post a reply to this message

Copyright 2003-2023 Persistence of Vision Raytracer Pty. Ltd.